Bug 882470 - AttributeError: 'SwapSpace' object has no attribute 'testMount'
Summary: AttributeError: 'SwapSpace' object has no attribute 'testMount'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6b664bb8cd8c0428229ac71bc2a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-01 07:34 UTC by stms5001
Modified: 2013-07-31 18:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 18:28:07 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb-mAg3tv (296.42 KB, text/plain)
2012-12-01 07:34 UTC, stms5001
no flags Details

Description stms5001 2012-12-01 07:34:04 UTC
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-mAg3tv
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Sat 01 Dec 2012 02:23:43 PM UTC
version:        17

anaconda-tb-mAg3tv: Text file, 303535 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2026, in _parseOneLine
:    if fmt.testMount():
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2112, in parseFSTab
:    device = self._parseOneLine((devspec, mountpoint, fstype, options, dump, passno))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1676, in mountExistingSystem
:    fsset.parseFSTab(anaconda=anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/upgrade.py", line 178, in upgradeMountFilesystems
:    mountExistingSystem(anaconda, anaconda.upgradeRoot[0], allowDirty = 0)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 88, in return_false
:    func(*args, **kwargs)
:AttributeError: 'SwapSpace' object has no attribute 'testMount'

environ:
:LANG=en_US.UTF-8
:repo=hd::/var/cache/yum/preupgrade
:TERM=linux
:BOOT_IMAGE=/upgrade/vmlinuz
:XAUTHORITY=/root/.Xauthority
:LC_NUMERIC=C
:SHLVL=0
:PYTHONPATH=/tmp/updates
:LVM_SUPPRESS_FD_WARNINGS=1
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:GNOME_DISABLE_CRASH_DIALOG=1
:ks=hd:UUID=5e824415-d059-421d-a990-d993b2bc5157:/upgrade/ks.cfg
:PWD=/
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:stage2=hd:UUID=5e824415-d059-421d-a990-d993b2bc5157:/upgrade/squashfs.img
:MALLOC_CHECK_=2
:DISPLAY=:1

Comment 1 stms5001 2012-12-01 07:34:32 UTC
Created attachment 655428 [details]
File: anaconda-tb-mAg3tv

Comment 2 Chris Lumens 2012-12-01 20:39:29 UTC
Can you please retest with F18 beta and let us know if you are still seeing this problem?  Thanks.

Comment 3 Jean-Christophe Berthon 2013-01-18 12:52:33 UTC
I am having this problem while trying to upgrade from F16 to F17!

Comment 4 Jean-Christophe Berthon 2013-01-18 14:21:27 UTC
I have found the cause of my problem. I did not have swap space anymore in F16... The swap device was /dev/sdb in my /etc/fstab instead of being /dev/sdb1.
I have corrected fstab and now the upgrade does not complain any longer.

Comment 5 Fedora End Of Life 2013-07-03 19:39:25 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2013-07-31 18:28:13 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.